Get Bank Account Detail API

Get detailed information of a specific bank account by UUID via SePay API v2. Returns account number, bank name, status, and configuration details.

||

Bank Account Detail

GET
https://userapi.sepay.vn/v2/bank-accounts/{xid}

Path Parameters

ParameterTypeDescription
xidstring (UUID)Bank account UUID

Code Examples

>
>
>
curl --request GET \
--url https://userapi.sepay.vn/v2/bank-accounts/f9e8d7c6-b5a4-3210-fedc-ba0987654321 \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Response

Response 200 - Bank account detail
{
  "status": "success",
  "data": {
    "id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321",
    "account_holder_name": "NGUYEN VAN A",
    "account_number": "68501234789",
    "accumulated": 15000000,
    "last_transaction": "2026-01-05 10:20:00",
    "label": "TK giao dich chinh",
    "account_type": "personal",
    "active": 1,
    "created_at": "2025-01-15 10:30:00",
    "bank_short_name": "ACB",
    "bank_full_name": "Ngan hang TMCP A Chau",
    "bank_bin": "970416",
    "bank_code": "ACB"
  }
}

Errors

  • 404: Returned if the bank account is not found or does not belong to the authenticated company